# Quick Start

**Get your API keys**

Your API's requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

You can generate an API key from your Dashboard at any time.

{% hint style="info" %}
**Go to Elyssa App Dashboard and select :  Profile section > Integration**&#x20;

* **companyId**

This section is restricted to administrators.
{% endhint %}

**Make your first request**

To make your first request, send an authenticated request to the endpoint. This will return it a `company info`&#x20;

Take a look at how you might call this method using our official libraries, or via `curl`: &#x20;

{% tabs %}
{% tab title="curl" %}

```
curl '{{ url_base}}/api/v1/Company/info \
-X GET \
-H "accept:  */*" \
-H "Authorization: Bearer {{ token }}" \
-H "x-company-id: {{ companyId }}" \
-H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Node" %}

```javascript
// require the featch module and set it up with your API key

(async () => {
    const response = await fetch(
    `${url_base}/api/v1/Company/info`,
    {
        headers: {
            "Authorization": `Bearer ${token}`,
            "x-company-id": `${companyId}`,
        }
    });
    
    const body = await response.json();
    console.log(body);
})();
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://elyssa-app.gitbook.io/api-docs/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
